Makemkv-oss fails on Ubuntu 18.04 LTS Bionic

The place to discuss linux version of MakeMKV
Post Reply
kysersoze
Posts: 2
Joined: Thu May 10, 2018 1:35 am

Makemkv-oss fails on Ubuntu 18.04 LTS Bionic

Post by kysersoze » Thu May 10, 2018 1:44 am

Hi All,
I grabbed the ppa:heyarje/makemkv-beta PPA and tried to install but it comes up with :
The following packages have unmet dependencies:
makemkv-oss : Depends: libavcodec-ffmpeg56 (>= 7:2.4) but it is not installable or
libavcodec-ffmpeg-extra56 (>= 7:2.4) but it is not installable
Depends: libavutil-ffmpeg54 (>= 7:2.4) but it is not installable
E: Unable to correct problems, you have held broken packages.

Ubuntu 18.04 comes with version 57 instead.
Is there anything that can be done about this?
I'm assuming at this point as there is a dependency issue that building from source won't change anything.

Regards,
Kysersoze

t3kg33k
Posts: 3
Joined: Sat May 05, 2018 3:22 pm

Re: Makemkv-oss fails on Ubuntu 18.04 LTS Bionic

Post by t3kg33k » Thu May 10, 2018 8:30 am

I ran into a similar issue. That's why I posted a question about there being a snap created for MakeMKV.
I paid for MakeMKV so I am hoping there will be better support for Linux, Ubuntu specifically, in the near future.

kysersoze
Posts: 2
Joined: Thu May 10, 2018 1:35 am

Re: Makemkv-oss fails on Ubuntu 18.04 LTS Bionic

Post by kysersoze » Thu May 10, 2018 11:12 pm

Just an update for everyone. I tried to build it from source and it completed but i don't know yet if it functions as i don't have any source files on the machine.

hjmooses
Posts: 3
Joined: Fri Jun 13, 2014 12:27 pm

Re: Makemkv-oss fails on Ubuntu 18.04 LTS Bionic

Post by hjmooses » Thu May 17, 2018 8:37 am

Hi

Please check if you have the right release in your source list !!! You must have bionic !

In the bionic version the depency is libavcodec-extra57 (>= 7:3.4.2),

You need this line in sources.list

deb http://ppa.launchpad.net/heyarje/makemkv-beta/ubuntu bionic main

Post Reply